Page MenuHomePhabricator

Varnish vagrant role
Closed, ResolvedPublic

Description

Can we have varnish through a role please? We will have to do a lot of dev & test for it soon.

The default varnish config in /etc/varnish/default.vcl could have this at the very top of the file. Leave all comments there.

backend default {

.host = "127.0.0.1";
.port = "80";

}

the service can be started with:

sudo varnishd -f /etc/varnish/default.vcl -s malloc,1G -T 127.0.0.1:2000 -a 0.0.0.0:8080

This way varnish will only work if accessed through port 8080 (needs to be mapped to outside), while port 80 will continue be served uncached. The admin port 2000 doesn't have to be patched to the outside (rarely used, can be accessed through ssh).

P.S. Note that varnish config should not be deleted on every vagrant up - there could be a lot of changes during development to that file. Maybe it would make sense to have an include command of some sort the same way as settings.d/ files for vagrant.

Thanks!


Version: unspecified
Severity: enhancement

Related Objects

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:06 AM
bzimport set Reference to bz52302.
Yurik created this task.Jul 30 2013, 11:30 PM

[mass-moving from Tools>MediaWiki-Vagrant to separate product. See bug 54041. Filter bugmail on this comment.]

bd808 added a comment.Oct 4 2013, 8:16 PM

Yuvi mentioned on irc that he was working on a varnish role.

Change 87623 had a related patch set uploaded by Yuvipanda:
[HEAVY WIP] Add varnish role

https://gerrit.wikimedia.org/r/87623

Change 87623 abandoned by Yuvipanda:
[HEAVY WIP] Add varnish role

Reason:
Uncool.

https://gerrit.wikimedia.org/r/87623

bd808 added a comment.Jul 29 2014, 4:40 AM

Patch was abandoned.

yuvipanda removed yuvipanda as the assignee of this task.Dec 17 2014, 10:28 PM
yuvipanda set Security to None.
Gilles renamed this task from Add VARNISH role to Varnish vagrant role.Sep 7 2015, 8:19 PM
Gilles claimed this task.
Gilles added a project: Performance-Team.
Gilles added subscribers: Aklapper, Gilles.

Change 237081 had a related patch set uploaded (by Gilles):
Varnish role

https://gerrit.wikimedia.org/r/237081

Change 238095 had a related patch set uploaded (by Gilles):
Rewrite port for Varnish PURGE requests

https://gerrit.wikimedia.org/r/238095

Change 237081 merged by jenkins-bot:
Varnish role

https://gerrit.wikimedia.org/r/237081

Change 238095 merged by jenkins-bot:
Rewrite port for Varnish PURGE requests

https://gerrit.wikimedia.org/r/238095

Gilles closed this task as Resolved.Sep 21 2015, 8:06 PM
bd808 moved this task from Awaiting review to Done on the MediaWiki-Vagrant board.Nov 23 2015, 5:00 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 4 2016, 9:14 AM